Deals
DE EUR

Shop in

Store prices are shown for one country at a time, in its own currency.

Compare specs

Ad · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.Ad · Store prices, cheapest first. We may earn a commission.

Allied Telesis GS950/10PS Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Green, Grey

Allied Telesis · Network Switch

Allied Telesis GS950/10PS Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Green, Grey price in Germany

Model GS950/10PSMPN AT-GS950/10PSEAN 767035219158

  • Memory64 MB
  • Weight1.9 kg
  • ColourGreen, Grey
  • Switch typeManaged

Lowest price

499,76 €

at Netzwerkartikel.deIn stock

  • 1 store
  • 1 in stock
  • Checked 6 Oct 2026, 05:40 UTC

Ad · prices and stock as last reported by the store; the store's checkout is what counts.

Full specifications and side-by-side comparison

Prices in Germany

1 store · prices in EUR · updated 6 Oct 2026, 05:40 UTC

Lowest price499,76 €at Netzwerkartikel.de · shipping not statedGo to Netzwerkartikel.de (opens in a new tab)
Price range across 1 offer

Every store asks the same price.

  • 1 of 1 stores in stock
  • 0 with free shipping
  • Checked 6 Oct 2026, 05:40 UTC

  1. Netzwerkartikel.deLowest priceAllied Telesis GS950/10PS In stockShipping not stated
    499,76 €item price, shipping extra
    Go to store : Netzwerkartikel.de (opens in a new tab)

Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.

Price history in Germany

Price history is being collected. After 14 days of prices we will show whether today's price is good.

Best price · Netzwerkartikel.de499,76 €
Go to store

Product details

Identification

Brand
Allied Telesis
Product
GS950/10PS Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Green, Grey
Full name
Allied Telesis GS950/10PS Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Green, Grey
Manufacturer part number
AT-GS950/10PS
EAN / UPC
767035219158

48 specifications from the manufacturer's data sheet

Management features

Switch typeManaged
Quality of Service (QoS) supportYes
Web-based managementYes
MIB supportRFC 1213 MIB-II, RFC 1215 TRAP MIB, RFC 1493 Bridge MIB, RFC 2863, RFC 1643, RFC 2618 RMON, RFC 2674 IEEE 802.1Q, RFC 2096 IP

Ports & interfaces

Basic switching RJ-45 Ethernet ports quantity8
Basic switching RJ-45 Ethernet ports typeGigabit Ethernet (10/100/1000)
Gigabit Ethernet (copper) ports quantity10
Combo SFP ports quantity2
Fiber ports quantity2
Fiber optic connectorSFP
Console portRJ-45
Power connectorDC-in jack

Network

Networking standardsIEEE 802.1D, IEEE 802.1p, IEEE 802.1s, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportNo
Copper ethernet cabling technology10BASE-T, 100BASE-T, 1000BASE-T
Port mirroringYes
Full duplexYes
Flow control supportYes
Rate limitingYes
VLAN supportYes

Optical fiber

Fiber ethernet cabling technology100BASE-FX, 1000BASE‑LX, 1000BASE‑SX
Fiber typeMulti-mode

Data transmission

MAC address table8000 entries
Switching capacity20 Gbit/s
Throughput14.88 Mpps

Security

DHCP featuresDHCP client, DHCP server
IGMP snoopingYes
MAC address filteringYes

Multicast features

Multicast supportYes

Design

Product colourGreen, Grey

Performance

Internal memory64 MB
Flash memory16 MB

Power

AC input voltage100 - 240 V
Power consumption (typical)13.58 W

Power over Ethernet (PoE)

Power over Ethernet (PoE)Yes
Power over Ethernet plus (PoE+) ports quantity8
Total Power over Ethernet (PoE) budget75 W

Operational conditions

Operating temperature (T-T)0 - 40 °C
Storage temperature (T-T)-25 - 70 °C
Operating relative humidity (H-H)5 - 90%
Storage relative humidity (H-H)5 - 95%
Operating altitude0 - 3048 m

Weight & dimensions

Width330 mm
Depth200 mm
Height44 mm
Weight1.9 kg

Certificates

CertificationRoHS Eu-RoHS China RoHS WEEE

Logistics data

Harmonized System (HS) code85176990

More network switches deals in Germany

All network switches deals